View Revisions: Issue #3581

Summary 0003581: Draft PathArray Align=True not work on custom sketch path
Revision 2018-09-04 14:17 by Kunda1
Additional Information FreeCAD Version:
0.18 14555 (Git)
64-bit

Report view
[code=text]Traceback (most recent call last): File "D:\FreeCAD_0.18.14555_x64_dev_win\Mod\Draft\Draft.py", line 5978, in execute obj.Shape = self.pathArray(obj.Base.Shape,w,obj.Count,obj.Xlate,obj.Align) File "D:\FreeCAD_0.18.14555_x64_dev_win\Mod\Draft\Draft.py", line 6079, in pathArray ns = self.orientShape(shape,path[0],0,pt,xlate,align,normal) File "D:\FreeCAD_0.18.14555_x64_dev_win\Mod\Draft\Draft.py", line 6041, in orientShape lnodes.normalize() # Can't normalize null vector. <class 'Base.FreeCADError'>: Cannot normalize null vector][/code]

Python console
[code=python]Python 2.7.14 (default, Jan 16 2018, 16:11:42) [MSC v.1800 64 bit (AMD64)] on win32 Type 'help', 'copyright', 'credits' or 'license' for more information. >>> MRU="0" >>> exec(open('D:/FreeCAD_0.18.14555_x64_dev_win/data/Mod/Start/StartPage/LoadMRU.py').read()) >>> App.setActiveDocument("ArrayOnCustomSketch") >>> App.ActiveDocument=App.getDocument("ArrayOnCustomSketch") >>> Gui.ActiveDocument=Gui.getDocument("ArrayOnCustomSketch") >>> Gui.activateWorkbench("PartWorkbench") >>> Gui.activateWorkbench("PartDesignWorkbench") >>> Gui.activateWorkbench("DraftWorkbench") >>> import PartDesignGui >>> FreeCAD.getDocument("ArrayOnCustomSketch").getObject("PathArray").Align = False >>> FreeCAD.getDocument("ArrayOnCustomSketch").getObject("PathArray").Align = True >>>][/code]
Revision 2018-09-04 07:03 by flim
Additional Information FreeCAD Version:
0.18 14555 (Git)
64-bit

Report view
[code=Traceback (most recent call last): File "D:\FreeCAD_0.18.14555_x64_dev_win\Mod\Draft\Draft.py", line 5978, in execute obj.Shape = self.pathArray(obj.Base.Shape,w,obj.Count,obj.Xlate,obj.Align) File "D:\FreeCAD_0.18.14555_x64_dev_win\Mod\Draft\Draft.py", line 6079, in pathArray ns = self.orientShape(shape,path[0],0,pt,xlate,align,normal) File "D:\FreeCAD_0.18.14555_x64_dev_win\Mod\Draft\Draft.py", line 6041, in orientShape lnodes.normalize() # Can't normalize null vector. <class 'Base.FreeCADError'>: Cannot normalize null vector][/code]

Python console
[code=Python 2.7.14 (default, Jan 16 2018, 16:11:42) [MSC v.1800 64 bit (AMD64)] on win32 Type 'help', 'copyright', 'credits' or 'license' for more information. >>> MRU="0" >>> exec(open('D:/FreeCAD_0.18.14555_x64_dev_win/data/Mod/Start/StartPage/LoadMRU.py').read()) >>> App.setActiveDocument("ArrayOnCustomSketch") >>> App.ActiveDocument=App.getDocument("ArrayOnCustomSketch") >>> Gui.ActiveDocument=Gui.getDocument("ArrayOnCustomSketch") >>> Gui.activateWorkbench("PartWorkbench") >>> Gui.activateWorkbench("PartDesignWorkbench") >>> Gui.activateWorkbench("DraftWorkbench") >>> import PartDesignGui >>> FreeCAD.getDocument("ArrayOnCustomSketch").getObject("PathArray").Align = False >>> FreeCAD.getDocument("ArrayOnCustomSketch").getObject("PathArray").Align = True >>>][/code]